require "active_support/core_ext/enumerable"
require "active_support/core_ext/string/inflections"
require 'active_support/core_ext/hash'

require_relative "logic/version"
require_relative "logic/utils"
require_relative "logic/storage"
require_relative "logic/summary"
require_relative "logic/variant"
require_relative "logic/kit"
require_relative "logic/sellable_factory"
require_relative "logic/product"

module Stockman
  module Logic
    class << self
      attr_accessor :redis
    end
  end
end
