module Stockman
  module Logic
    class Storage
      def self.obtain_set(key)
        Logic.redis.smembers(key)
      end

      def self.obtain_hash(key)
        Logic.redis.hgetall(key)
      end

      def self.obtain_amount(key, field)
        value = Logic.redis.hget(key, field)

        Utils.deserialize_amount(value)
      end
    end
  end
end
